System requirements

Web site

We recommend using any recent versions of Google Chrome, Firefox, Internet Explorer, Opera and Safari for best experience.
Vscene still supports older versions i.e. Google Chrome 19+, Firefox 10esr+, Internet Explorer 8+, Opera 11+ and Safari 5+ with degradation.

Vidyo browser plug-in

Compatible platforms:
Windows XP SP3 32-bit and 64-bit
Windows 7 32-bit and 64-bit
Windows 8 32-bit and 64-bit
Windows 8.1 32-bit and 64-bit
Mac OSX 10.6 and later

Compatible browsers:
Chrome versions 33, 34
Firefox versions 28, 29
Internet Explorer 8 (Windows XP SP3, Windows 7)
Internet Explorer 9 32-bit (Windows 7)
Internet Explorer 10 (Windows 7 and Windows 8)
Internet Explorer 11 (Windows 7 and Windows 8.1)
Safari 5.1.10 (Mac OSX 10.6.8)
Safari 6.1 (Mac OSX 10.6.8, 10.7.5, 10.8.5)
Safari 7.0.3 (Mac OSX 10.9.3)

Installers:
Windows 32-bit
Windows 64-bit
Mac OSX 32-bit
Mac OSX 64-bit

For more details, please review the Release Notes.